#include "clock.h"

GameClock::GameClock() :
    rate(1000),
    paused(false),
    ticks(0)
{}

int GameClock::scale(int time)
{
    if (paused)
	return 0;
    else
	return time * rate / 1000;
}

void GameClock::update(int time)
{
    ticks += scale(time);
}

